
Figure - Bug #117376
【AF】【EVT3】【ST】【Settings】当连接一个wifi后，再次点击其他wifi，再输入密码时键盘会出现屏幕误触
2023-04-10 20:09 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2023-04-10

Priority: Normal Due date:

Assignee: 物联网项目组-RD3_CDTS 周飞 % Done: 0%

Category: 依赖客户及其供应商解决 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0089

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Occasionally Fixed Version:

Test Type: ST Root cause: 因网络模块需要移除，前置 BUG 未处理的后续问题。

Description

【步骤】

1. 烧写0089版本

2. 开机后执行恢复出厂操作

3. 恢复出厂完成后连接wifi，输入密码

4. 连接一个wifi后，再次直接点击其他wifi，输入密码

5. 当点击R或E时等，不会响应键盘字母输出，会点击到其他地方从而切换界面

【预期结果】

输入正常

【实际结果】

当点击R或E时等，不会响应键盘字母输出，会点击到其他地方从而切换界面

Related issues:

Related to Figure - Bug # 118078: 【IOVDEV-29200】【内部】【VC1】... CLOSED 2023-05-18

History

#1 - 2023-04-10 20:28 - CD TPM-王祥林

- Assignee changed from CD TPM-王祥林 to CD FW 曹覃刚

#2 - 2023-04-11 09:42 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD FW-廖涛

#3 - 2023-04-11 11:25 - CD FW-廖涛

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD FW-廖涛 to 移动测试一组_CDTS 刘强

- Root cause set to 因网络模块需要移除，前置 BUG 未处理的后续问题。

■ My analysis

问题的产生是因为上一次输入完成后，键盘未被关闭，再次调起键盘时，键盘无法获取焦点，导致输入穿透键盘。正常情况下，输入完成后，需要关闭

键盘，第三方应用针对这种场景的处理方式一样，若存在这种情况，属于第三方应用适配问题，系统无需处理。

网络模块因为最终版本要移除，所以不做处理。参考：https://share.thundersoft.com/redmine/issues/114768

■ Next action
测试评估。

#4 - 2023-04-11 11:28 - 移动测试一组_CDTS 刘强

- Assignee changed from 移动测试一组_CDTS 刘强 to CDTS_TEST 王成

Hi，

  王成

  帮忙内部评估下，如果没问题就关闭这个问题

#5 - 2023-04-11 11:39 - CDTS_TEST 王成

- Assignee changed from CDTS_TEST 王成 to 物联网项目组-RD3_CDTS 周飞

输入法关联问题，

#6 - 2023-04-12 10:42 - CDTS_TEST 王成

- Status changed from NEED_INFO to RESOLVED

- Assignee changed from 物联网项目组-RD3_CDTS 周飞 to CDTS_TEST 王成

WIFI模块功能问题，BUG先行关闭，若WIFI模块需求出现变更，需要解决

#7 - 2023-04-12 10:43 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

#8 - 2023-04-12 10:43 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED

#9 - 2023-04-24 13:46 - CDTS_TEST 王成

- Status changed from CLOSED to New

- Assignee changed from CDTS_TEST 王成 to CD TPM-王祥林

麻烦看看这个BUG是否需要再次跟踪处理

#10 - 2023-05-04 22:35 - CD TPM-王祥林

- Status changed from New to NEED_INFO

- Assignee changed from CD TPM-王祥林 to CDTS_TEST 王成

wifi要被移除，可以不用关注wifi界面的问题。但要测一下除了wifi界面，其他输入框是不是也存在这个问题。

#11 - 2023-05-17 11:23 - CDTS_TEST 王成

- Category changed from CD-FW to 依赖客户及其供应商解决

- Assignee changed from CDTS_TEST 王成 to 物联网项目组-RD3_CDTS 周飞
输入法合入之后再做验证，排除输入法问题

#12 - 2023-08-24 15:49 - CDTS_TEST 王成

- Status changed from NEED_INFO to RESOLVED

WIFI界面整已体隐藏

#13 - 2023-08-24 15:49 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

#14 - 2023-08-24 15:49 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED

Files

screen-20230406-022038.mp4 14.8 MB 2023-04-10 移动测试一组_CDTS 刘强

tlog_sts000101110_000009_0406022151.tar.gz 6.03 MB 2023-04-10 移动测试一组_CDTS 刘强
